
Foreman - Bug #18870

undefined method test_mail_user_url

03/11/2017 04:52 PM - Shod Dan

Status: Closed   

Priority: Normal   

Assignee:    

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.14.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Unable to open Administer -> Settings in web interface

Oops, we're sorry but something went wrong undefined method `test_mail_user_url' for

#<#<Class:0x007f2bf16b43f0>:0x0000000889bf90>

History

#1 - 03/14/2017 04:14 AM - Dominic Cleal

- Subject changed from  undefined method test_mail_user_url to undefined method test_mail_user_url

- Category changed from Web Interface to Settings

#2 - 06/15/2017 07:56 AM - Swapnil Abnave

Hi Shod,

Can you please confirm, are you still facing this issue?

#3 - 06/15/2017 09:52 AM - Swapnil Abnave

- Target version set to 1.17.0-RC1

#4 - 10/21/2017 01:06 PM - Shod Dan

Swapnil Abnave wrote:

Hi Shod,

Can you please confirm, are you still facing this issue?

 Sure, the problem still exists after upgrade to version 1.15.6

#5 - 10/30/2017 04:01 PM - Shod Dan

Shod Dan wrote:

Swapnil Abnave wrote:

Hi Shod,

Can you please confirm, are you still facing this issue?

 Sure, the problem still exists after upgrade to version 1.15.6

 The issue has been fixed for me by truncating /usr/share/foreman/app/views/settings/category/_email.html.erb file with empty content

#6 - 07/23/2018 09:29 AM - Tomer Brisker

- Target version deleted (1.17.0-RC1)
#7 - 05/25/2021 09:09 AM - yifat makias

- Status changed from New to Closed

Looks like the issue has been fixed.

Files

foreman_debug.txt 20.3 KB 03/11/2017 Shod Dan
